Assign roles to users for a website
curl --request POST \
--url https://admin.snagsolutions.io/api/website_user_roles \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"websiteId": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://admin.snagsolutions.io/api/website_user_roles"
payload = { "websiteId": "123e4567-e89b-12d3-a456-426614174000" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({websiteId: '123e4567-e89b-12d3-a456-426614174000'})
};
fetch('https://admin.snagsolutions.io/api/website_user_roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": null
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Website
Assign roles to users for a website
Assign roles to users for a specific website
POST
/
api
/
website_user_roles
Assign roles to users for a website
Authorizations
Body
application/json
Body
Query parameters for getWebsiteUserRoles
UUID of the website
Example:
"123e4567-e89b-12d3-a456-426614174000"
Array of website user roles
Show child attributes
Show child attributes
Example:
[
{
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"roleType": "WEBSITE_SUPER_ADMIN"
}
]
Response
200
Schema for postWebsiteUserRoles response
Was this page helpful?
⌘I